
if AssaultCornerDifficultyNames_HUDAssaultCorner_Hooked then
	return
else
	AssaultCornerDifficultyNames_HUDAssaultCorner_Hooked = true
end

local minskulls = 4

local ids_risk = Idstring("risk")

-- Scan the assault strings for the risk icon placeholder and replace it with a predefined string_id for the current risk level
local _get_assault_strings_actual = HUDAssaultCorner._get_assault_strings
function HUDAssaultCorner:_get_assault_strings(...)
	local strings = _get_assault_strings_actual(self, ...)

	if strings == nil or #strings < 1 or managers.job:current_difficulty_stars() < minskulls then
		return strings
	end

	local difficulty_name_id = tweak_data ~= nil and tweak_data.difficulty_name_id or nil
	if not difficulty_name_id then
		return strings
	end

	for index, data in ipairs(strings) do
		if type(data) == "userdata" and data == ids_risk then
			strings[index] = difficulty_name_id
		end
	end

	return strings
end

local _get_survived_assault_strings_actual = HUDAssaultCorner._get_survived_assault_strings
function HUDAssaultCorner:_get_survived_assault_strings(...)
	local strings = _get_survived_assault_strings_actual(self, ...)

	if strings == nil or #strings < 1 or managers.job:current_difficulty_stars() < minskulls then
		return strings
	end

	local difficulty_name_id = tweak_data ~= nil and tweak_data.difficulty_name_id or nil
	if not difficulty_name_id then
		return strings
	end

	for index, data in ipairs(strings) do
		if type(data) == "userdata" and data == ids_risk then
			strings[index] = difficulty_name_id
		end
	end

	return strings
end
